/*
 * SomePlayer - An alternate music player for Maemo 5
 * Copyright (C) 2010 Nikolay (somebody) Tischenko <niktischenko@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include <QtGui/QApplication>
#include "mainwindow.h"
#include "config.h"

using namespace SomePlayer::Storage;

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	a.setApplicationName("ru.somebody.someplayer");
	MainWindow w;
	w.updateTranslations();
	w.setAttribute(Qt::WA_Maemo5StackedWindow);
	w.setWindowFlags(w.windowFlags() | Qt::Window);

#if defined(Q_WS_S60)
	w.showMaximized();
#else
	w.show();
#endif

	return a.exec();
}
